#include "msp430g2955.H"
#include "data.h"
#define LOG
#define INTERPOLATION
#define SendPosition
//#define BEEPFunc
#define LEDBreathingDemo

///---subject to Change because of HW configuration

//#define TXD BIT1  //P1.1
//#define TXDOUT P1OUT  //P1.1
//#define TXDDIR P1DIR  //P1.1

//for LED breathing demo

#ifdef LEDBreathingDemo
	#define TXD BIT4  //P3.4
	#define TXDOUT P3OUT  //P3.4    
	#define TXDDIR P3DIR  //P3.4
#else  //LaunchPad Demo
	#define TXD BIT1  //P1.1
	#define TXDOUT P1OUT  //P1.1
	#define TXDDIR P1DIR  //P1.1

#endif




///---subject to Change because of HW configuration



#define DataHead 0x55AA

#define ILLEGAL_SLIDER_WHEEL_POSITION		0xFFFF
#define Slider_Wheel_Threshold 			0x20	//0x20 //0x28	//0x5DC  //1500
#define Slider_Wheel_Start_Num 0
#define Slider_Wheel_End_Num 3
#define Slider_Wheel_Num 4
#define Channel_Resolution 6//85
#define InterpolationThreshold 10
#define WheelReleaseMax 3


void scan_window(unsigned int window_length_us);
unsigned int sensor_scan(unsigned char sensor_no); //sensor_no={0,1,SENSOR_NUM-1}
void hal_init(void);
void key_status_indicator(void);
void data_init(void);
unsigned int filter(unsigned char sensor_no, unsigned int measure_raw,
		unsigned char factor); //low pass filter
void low_power_period(unsigned char LowPowerPeriod_mS);
unsigned int Wheel_Calulate(void);


#ifdef LOG
void data_frame_send(unsigned char ChannelNumbers, unsigned char startChannel);
void Position_frame_send(unsigned char DataToSend);
void UART_SIM(unsigned char key_value, int x);
#endif
